£1,179.41– £1,440.99
Compare 3 prices
Zyxel · Network Switch
Zyxel XGS2210-52 Managed L2 Gigabit Ethernet (10/100/1000) 1U Black price in United Kingdom
Model XGS2210-52MPN XGS2210-52-EU0101FMPN 3182MPN XGS2210-52-GB0101FEAN 4718937587902EAN 4718937588206
- Noise44.15 dB
- Type1U
- Weight3.86 kg
- ColourBlack
Lowest price incl. delivery
£1,063.99
at Back to the OfficeFree deliveryIn stock
- 1 store
- 1 in stock
- 1 with free delivery
- Checked 5 Oct 2026, 18:25 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
1 store · prices in GBP · updated 5 Oct 2026, 18:25 UTC
Every store asks the same price.
- 1 of 1 stores in stock
- 1 with free shipping
- Checked 5 Oct 2026, 18:25 UTC
- Back to the OfficeLowest priceZyxel XGS2210-52 Managed L2 Gigabit Ethernet (10/100/1000) 1U Black In stockFree shipping£1,063.99incl. free shippingGo to store : Back to the Office (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 5 Oct 2026, 18:25 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- Zyxel
- Product
- XGS2210-52 Managed L2 Gigabit Ethernet (10/100/1000) 1U Black
- Full name
- Zyxel XGS2210-52 Managed L2 Gigabit Ethernet (10/100/1000) 1U Black
- Manufacturer part number
- XGS2210-52-EU0101F, 3182, XGS2210-52-GB0101F
- EAN / UPC
- 4718937587902, 4718937588206
- Category
- Network Switch
71 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| ARP inspection | Yes |
| Traffic shaping | Yes |
| System event log | Yes |
| MIB support | RFC 1066, RFC 1213, RFC 1493, RFC 1643, RFC 1757, RFC 2011, RFC 2233, RFC 2358, RFC 2674, RFC 2819, RFC 2925, RFC 3621, RFC 4022, RFC 4113, RFC 4292, RFC 4293 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 48 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| SFP+ module slots quantity | 4 |
Network
| Networking standards | IEEE 802.1D, IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
|---|---|
| 10G support | Yes |
| Port mirroring | Yes |
| IP routing | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| MAC address auto-learning supported | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Private VLAN, Protocol-based VLAN, Port-based VLAN |
Data transmission
| MAC address table | 16000 entries |
|---|---|
| Switching capacity | 176 Gbit/s |
| Throughput | 130.9 Mpps |
| Number of queues | 8 |
| Jumbo frames support | Yes |
| Jumbo frames | 9000 |
| Packet buffer memory | 1.5 MB |
Security
| DHCP features | DHCP client |
|---|---|
| Access Control List (ACL) | Yes |
| IGMP snooping | Yes |
| Authentication | MAC-based authentication |
| BPDU filtering/protection | Yes |
| MAC address filtering | Yes |
| SSH/SSL support | Yes |
| Security algorithms | 802.1x RADIUS, SNMP, SSH, SSH-2 |
Multicast features
| Multicast support | Yes |
|---|
Design
| Rack mounting | Yes |
|---|---|
| Stackable | Yes |
| Form factor | 1U |
| Product colour | Black |
| Safety | LVD, BSMI |
| Electromagnetic compatibility | FCC 15 (A), CE (A), BSMI |
Performance
| Noise level | 44.15 dB |
|---|---|
| Plug and Play | Yes |
| Mean time between failures (MTBF) | 970594 h |
Power
| AC input voltage | 100 - 240 V |
|---|---|
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 45 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | No |
|---|
Operational conditions
| Operating temperature (T-T) | 0 - 50 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 95% |
| Storage relative humidity (H-H) | 10 - 90% |
| Heat dissipation | 153.3 BTU/h |
Weight & dimensions
| Width | 441 mm |
|---|---|
| Depth | 270 mm |
| Height | 45 mm |
| Weight | 3.86 kg |
Packaging content
| Cables included | AC |
|---|---|
| Rack mount kit | Yes |
Packaging data
| Package width | 622 mm |
|---|---|
| Package depth | 358 mm |
| Package height | 108 mm |
| Package weight | 4.92 kg |
Certificates
| Certification | RoHS |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






